Anti-phishing codes

Set an anti-phishing code

Use this method to set an anti-phishing code for a client.

POST
/api/v2/my/anti-phishing-code

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/my/anti-phishing-code" \  -H "Content-Type: application/json" \  -d '{    "code": "111111"  }'
{  "code": 200,  "data": [    {      "status": 0,      "sent": 1,      "expiredAt": "2022-01-01T00:00:00+00:00",      "sentAt": "2022-01-01T00:00:00+00:00",      "recipient": {        "class": "B2B\\TCA\\Confirmations\\Recipients\\PhoneRecipient",        "phone": "+995500400300",        "template": "default",        "type": 1,        "method": "phone"      }    }  ],  "done": false,  "uuid": "36f59381-5b54-48bd-a0c7-3b908c476732",  "workflow": "2fa_sms"}
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Not Found"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}